Bug 499269 - Configuring raw queue does not work
Configuring raw queue does not work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 17:34 EDT by brianchad@westnet.com.au
Modified: 2009-08-10 08:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 08:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brianchad@westnet.com.au 2009-05-05 17:34:33 EDT
Description of problem:

when setting up a new printer, selecting Generic > Raw Queue does not work.


Version-Release number of selected component (if applicable):

system-config-printer-1.1.7-1.fc11.x86_64
cups-1.4-0.b2.15.fc11.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

a printer driver is assigned.


Expected results:

no printer driver should be assigned


Additional info:

setting up a raw queue via CUPS web interface works ok.
Comment 1 Tim Waugh 2009-05-06 06:48:28 EDT
Works for me.  Please explain in more detail what things you click and what you see.
Comment 2 brianchad@westnet.com.au 2009-05-21 20:35:26 EDT
after some playing around, its not a bug, just a very unintuitive setup process.

I am trying to set up 2 queues for 1 printer.

The system discovers the printer automatically and assigns its preferred driver. Very nice and fair enough.

When it comes to adding a second (raw) queue however, the port that the printer is connected to is not displayed in the "Select Device" dialog.

I got around this by selecting "Other" and putting the device URI into the dialog, and assigning a raw print queue. 

Perhaps this needs to be reworked a little.

I need two queues, one raw, for windoze boxen to connect using ipp, and the other with the native print driver for linux apps.
Comment 3 Tim Waugh 2009-06-04 11:14:09 EDT
I still can't reproduce this problem.  Is the printer switched on when you go to create a new queue?  How is it connected, USB?  What does '/usr/sbin/lpinfo -v' say at that point?
Comment 4 Tim Waugh 2009-06-04 11:14:52 EDT
(by the way, run 'lpinfo -v' as root...)
Comment 5 Bug Zapper 2009-06-09 11:13:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Waugh 2009-08-10 08:15:40 EDT
Closing due to lack of information.

Note You need to log in before you can comment on or make changes to this bug.